package fr.velossity.sample.adaptee.device.impl;

import java.util.Dictionary;
import java.util.Hashtable;

import fr.velossity.sample.adaptee.AdapteeDevice;


/**
 * The basic implementation of the Adaptee Device. 
 * @author C. Saint-Marcel
 * 
 */
public class MockDeviceImpl implements AdapteeDevice {

	/**
	 * iPOJO injected field.
	 */
	String identifier;
	
	/**
	 * The dictionary of device metadata.
	 */
	Dictionary metadata;
	
	/**
	 * Constructor for iPOJO.
	 */
	public MockDeviceImpl() {
		metadata = new Hashtable();
		metadata.put(METADATA_MODEL, "MockAdapteeDevice 1.0");
		metadata.put(METADATA_LOCATION, "Building A");
		metadata.put(METADATA_PROTOCOL, "MOCKBUS");
	}
	
	/*
	 * Default constructor.
	 */
	public MockDeviceImpl(String identifier) {
		this();
		this.identifier = identifier;
	}

	/**
	 * @see AdapteeDevice#getUUID()
	 */
	public String getUUID() {
		return identifier;
	}

	/**
	 * @see AdapteeDevice#getMetadata(String)
	 */
	public String getMetadata(String key) {
		return metadata.get(key).toString();
	}
}
